Bug 239979 - sysutils/rubygem-fluentd: Update to 1.12.2
Summary: sysutils/rubygem-fluentd: Update to 1.12.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL: https://github.com/fluent/fluentd/blo...
Keywords: needs-qa
Depends on: 241540 251026
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-19 23:14 UTC by Artyom Davidov
Modified: 2021-05-20 20:40 UTC (History)
3 users (show)

See Also:


Attachments
Patch to upgrade sysutils/rubygem-fluentd to 1.6.3 (971 bytes, patch)
2019-08-19 23:14 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.7.3 (1.60 KB, patch)
2019-10-14 18:38 UTC, Artyom Davidov
no flags Details | Diff
Synth test build log on FreeBSD 11.3 amd64 (22.94 KB, text/plain)
2019-10-14 18:43 UTC, Artyom Davidov
no flags Details
Patch to upgrade sysutils/fluent-bit to 1.11.0 (1.80 KB, patch)
2020-06-17 01:18 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.11.1 (1.80 KB, patch)
2020-07-08 23:25 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.11.2 (1.80 KB, patch)
2020-08-11 20:14 UTC, Artyom Davidov
koobs: maintainer-approval+
Details | Diff
Synth test build log on FreeBSD 11.3 amd64 (23.18 KB, text/plain)
2020-08-14 19:59 UTC, Artyom Davidov
no flags Details
Patch to upgrade sysutils/rubygem-fluentd to 1.11.2 and fix minor warnings in sample config (5.34 KB, patch)
2020-08-24 20:29 UTC, Artyom Davidov
no flags Details | Diff
Synth test build log on FreeBSD 11.3 amd64 (22.97 KB, text/plain)
2020-08-24 20:32 UTC, Artyom Davidov
no flags Details
Patch to upgrade sysutils/rubygem-fluentd to 1.11.3 (5.34 KB, patch)
2020-10-13 17:17 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.11.4 (5.34 KB, patch)
2020-10-15 23:26 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.11.5 (5.54 KB, patch)
2020-11-10 20:44 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.12.1 (5.65 KB, patch)
2021-03-20 03:33 UTC, Artyom Davidov
no flags Details | Diff
Patch to upgrade sysutils/rubygem-fluentd to 1.12.2 (5.66 KB, patch)
2021-04-20 01:56 UTC, Artyom Davidov
ard_1: maintainer-approval?
Details | Diff
patch all suggested ports (12.33 KB, text/plain)
2021-05-17 23:50 UTC, Palle Girgensohn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Artyom Davidov 2019-08-19 23:14:37 UTC
Created attachment 206717 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.6.3

Hello!

The latest stable and recommended version of fluentd is 1.6.3
Since there is no dependencies changed the patch for this upgrade is trivial.

This version brings in several bug-fixes and enhancements.
Full change-log is available at 
https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
Comment 1 Artyom Davidov 2019-10-14 18:38:46 UTC
Created attachment 208311 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.7.3

There some time has passed since the previous patch and a new version of fluentd was released.
This new patch will update sysutils/rubygem-fluentd to the latest version 1.7.3
Also it will bump version requirements for msgpack and tzinfo.

Fluentd change-log is available at 
https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
Comment 2 Artyom Davidov 2019-10-14 18:43:52 UTC
Created attachment 208312 [details]
Synth test build log on FreeBSD 11.3 amd64

This is a Synth test build log for sysutils/rubygem-fluentd on FreeBSD 11.3 amd64
Comment 3 Artyom Davidov 2020-06-17 01:18:48 UTC
Created attachment 215641 [details]
Patch to upgrade sysutils/fluent-bit to 1.11.0

Update fluentd to the latest version 1.11.0
Pet portlint.
Comment 4 Artyom Davidov 2020-06-17 01:22:43 UTC
I wonder if it's possible to commit this patch without waiting for a maintainer timeout?
Comment 5 Artyom Davidov 2020-07-08 23:25:07 UTC
Created attachment 216331 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.1

This patch will update sysutils/rubygem-fluentd to the latest version 1.11.1

Changelog:
https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
Comment 6 Artyom Davidov 2020-07-28 18:19:53 UTC
Ping!
Can someone please take care of this bug?
Comment 7 Artyom Davidov 2020-08-11 20:14:29 UTC
Created attachment 217161 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.2

This patch will update sysutils/rubygem-fluentd to the latest version 1.11.2

Changelog:
https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
Comment 8 Li-Wen Hsu freebsd_committer 2020-08-11 20:32:03 UTC
Maintainer timeout.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-14 02:36:09 UTC
Comment on attachment 217161 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.2

Approved by: portmgr (maintainer timeout)

Pending QA
Comment 10 Artyom Davidov 2020-08-14 19:59:59 UTC
Created attachment 217215 [details]
Synth test build log on FreeBSD 11.3 amd64

Synth test build is Ok on FreeBSD 11.3 amd64

Fluentd process starts with minor deprecation warnings in sample configuration.

I can prepare a patch for the sample configuration file to get rid of this warnings if it's needed.
Comment 11 Li-Wen Hsu freebsd_committer 2020-08-21 15:28:59 UTC
(In reply to Artyom Davidov from comment #10)
Are those sample configuration from the distfile? If so, we can ignore it but patch it is also nice. And I encourage try to fix it in the upstream.
Comment 12 Artyom Davidov 2020-08-24 20:22:24 UTC
(In reply to Li-Wen Hsu from comment #11)
As far as I can see the original sample configuration file was included by the port maintainer as a patch-file (patch-fluent.conf.sample) that is in fact a diff to a zero-length fluent.conf.sample file.

Since the sample configuration file could be auto-generated by the fluentd itself using "-s" command-line option, I've created a new sample configuration file using fluentd 1.11.2 and prepared a patch for the patch-fluent.conf.sample file.
Comment 13 Artyom Davidov 2020-08-24 20:29:58 UTC
Created attachment 217502 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.2 and fix minor warnings in sample config

This patch will update sysutils/rubygem-fluentd to the latest version 1.11.2

Also it will install new sample configuration file generated with fluentd 1.11.2

Changelog:
https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
Comment 14 Artyom Davidov 2020-08-24 20:32:28 UTC
Created attachment 217503 [details]
Synth test build log on FreeBSD 11.3 amd64

Updated synth test build log file
Comment 15 Artyom Davidov 2020-09-09 16:01:58 UTC
Ping! 
Any update on this bug?
Comment 16 Artyom Davidov 2020-10-13 17:17:13 UTC
Created attachment 218719 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.3

Updated patch to upgrade fluentd to the latest version 1.11.3.
It will also install updated sample configuration file.
Comment 17 Artyom Davidov 2020-10-15 23:26:39 UTC
Created attachment 218776 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.4

Updated patch to upgrade fluentd to the latest version 1.11.4.
It will also install updated sample configuration file.
Comment 18 Artyom Davidov 2020-11-10 20:44:32 UTC
Created attachment 219532 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.11.5

Updated patch to upgrade fluentd to the latest version 1.11.5.
It will also install updated sample configuration file and bump version dependency for net/rubygem-serverengine to 2.2.2
Comment 19 Artyom Davidov 2021-03-20 03:33:45 UTC
Created attachment 223438 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.12.1

Updated patch to upgrade fluentd to the latest version 1.12.1.
All the previous fixes from the earlier patches are included.
Comment 20 Artyom Davidov 2021-04-20 01:56:59 UTC
Created attachment 224274 [details]
Patch to upgrade sysutils/rubygem-fluentd to 1.12.2

Updated patch to upgrade fluentd to the latest version 1.12.2.
All the previous fixes from the earlier patches are included.
This patch will also bring new dependency on www/rubygem-webrick and includes recent changes to the ports tree introduced with removal of $FreeBSD$ keyword from the Makefiles.
Comment 21 Li-Wen Hsu freebsd_committer 2021-04-29 22:59:33 UTC
(In reply to Artyom Davidov from comment #20)
Hi, thanks for working on this. Just wanted to check if this updating will be safe for the ports depend on it?

A quick grep in INDEX files gives:

/usr/ports/sysutils/rubygem-fluent-mixin-plaintextformatter
/usr/ports/sysutils/rubygem-fluent-plugin-config-expander
/usr/ports/sysutils/rubygem-fluent-plugin-file-alternative
/usr/ports/sysutils/rubygem-fluent-plugin-graylog
/usr/ports/sysutils/rubygem-fluent-plugin-tail-asis
Comment 22 Artyom Davidov 2021-05-06 00:05:46 UTC
(In reply to Li-Wen Hsu from comment #21)
Hi!
As far as I can see, the
/usr/ports/sysutils/rubygem-fluent-plugin-tail-asis
haven't changed it's version for a long time and the most recent one is already in the ports tree. So if it is not abandoned upstream it should work with the latest version of the fluentd as well.

Considering the
/usr/ports/sysutils/rubygem-fluent-plugin-graylog
it is just one version behind the upstream and I guess that girgen@ can update it as needed or I can prepare a patch to upgrade it to the latest version.

As for the other three ports
/usr/ports/sysutils/rubygem-fluent-mixin-plaintextformatter
/usr/ports/sysutils/rubygem-fluent-plugin-config-expander
/usr/ports/sysutils/rubygem-fluent-plugin-file-alternative
since they are outdated, I'll try to create patches for them to upgrade them to the latest versions. It should be noted though that their code haven't been updated by upstream for the several years.

Also I'll prepare a patch to upgrade fluentd to 1.12.3 that was released on April 23.
Comment 23 Evaldas Auryla 2021-05-10 09:53:21 UTC
Hi, just a quick note, fresh jail run complains about missing "bundler", if I "pkg install" it, or add in Makefile to RUN_DEPENDS= :

rubygem-bundler>=2.2.16:sysutils/rubygem-bundler

then it's ok, am I missing something ?
Comment 24 Artyom Davidov 2021-05-17 14:25:21 UTC
(In reply to Evaldas Auryla from comment #23)
Hello!
I didn't encounter this issue running fluentd without a jail.
Thank you for reporting it.

Could you please test if adding 
rubygem-bundler>=0:sysutils/rubygem-bundler
to the RUN_DEPENDS section of the Makefile will resolve this issue?

If it helps I'll update the upcoming patch for fluentd version 1.12.3 port with this additional dependency.
Comment 25 Evaldas Auryla 2021-05-17 19:42:34 UTC
Hi Artyom,

Yes, adding

rubygem-bundler>=0:sysutils/rubygem-bundler

to the RUN_DEPENDS section of the Makefile fixes runtime error.
Comment 26 Artyom Davidov 2021-05-17 21:46:19 UTC
(In reply to Evaldas Auryla from comment #25)
Hi!

Thank you for testing it.
I'll publish a patch for the latest fluentd port version in a couple of days along with the patches for ports mentioned in the Comment 22.
Comment 27 Palle Girgensohn freebsd_committer 2021-05-17 23:50:38 UTC
Created attachment 225046 [details]
patch all suggested ports

Hi,

I updated (locally) all the ports mentioned here.  It seems that the graylog plugin is just too old, and it should probably be removed. It fails as this:

====> Running Q/A tests (stage-qa)
Error: RubyGem dependency fluentd ~> 0.12.36 is not satisfied.
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/rubygem-fluent-plugin-graylog
=>> Error: stage-qa failures detected
build of sysutils/rubygem-fluent-plugin-graylog | rubygem-fluent-plugin-graylog-1.0.2 ended at Tue May 18 01:49:15 CEST 2021
build time: 00:00:13
!!! build failure encountered !!!
[00:00:19] Error: Build failed in phase: stage-qa
[00:00:19] Cleaning up


Apart from that, the sueggesd updates seem ok. Can you please verify that it runs alright, since you have a working setup?

Palle
Comment 28 Evaldas Auryla 2021-05-19 08:49:46 UTC
(In reply to Palle Girgensohn from comment #27)
Hi Palle, applied your patch with 1.12.3 to a clean portstree, build, package, install, and running "fluentd --help && fluentd --version" is ok, poudriere bulk is ok too.
Comment 29 Artyom Davidov 2021-05-20 12:16:38 UTC
(In reply to Palle Girgensohn from comment #27)
Hi Palle!

Thank you for your global patch for all suggested ports!

Considering the rubygem-fluent-plugin-graylog port - the upstream seems to abandon that project and the direct link to the GitHub page of that project was removed from the fluentd website. Taking into account that the dependency line in the gem configuration file states that it requires fluentd ~> 0.12.36 it won't work with the latest fluentd versions. Also there is an open issue on the project page to change the dependency to >=0.12.36 <0.15 so I think that this plugin won't work with the fluentd versions greater than 0.15.

Speaking about other plugins - I don't use them either but their dependency lines do not limit the particular fluentd versions, so I can assume that they will work fine with the latest one.
If those plugins will broke for some reason with the latest fluentd, I guess that issues should be escalated upstream.
IMHO those third-party plugins that were updated 4 or 5 years ago shouldn't keep us from updating to the recent version of the fluentd.
Comment 30 Artyom Davidov 2021-05-20 12:42:08 UTC
(In reply to Palle Girgensohn from comment #27)
And one more thing about the graylog plugin - fluentd documentation states that v.0.12 plugin API is backward compatible with fluentd v.1.x ( https://docs.fluentd.org/plugin-development )so I guess that if we can patch that dependency line somehow in the gem file, then there are some chances that this plugin can work with the latest fluentd version. But I don't know how to easily do this in the current port infrastructure. Moreover since I don't use this plugin in production I currently doesn't know how to test it functionality after such patching.
So the easiest thing will be to deprecate the graylog fluentd plugin due to incompatibility  with the latest versions of the fluentd in the plugin's gem configuration file.
Another option will be to switch other to the some actively developed graylog (GELF) plugin, but I can't recommend one since I don't use it.
Comment 31 commit-hook freebsd_committer 2021-05-20 20:38:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5ec81f5382ab38275465d2e1ff2a9ecf70592639

commit 5ec81f5382ab38275465d2e1ff2a9ecf70592639
Author:     Palle Girgensohn <girgen@FreeBSD.org>
AuthorDate: 2021-05-20 20:13:54 +0000
Commit:     Palle Girgensohn <girgen@FreeBSD.org>
CommitDate: 2021-05-20 20:32:07 +0000

    sysutils/rubygem-fluentd: update to 1.12.3

    Update and take maintainership.

    Submitted by:   Artyom Davidov
    PR:             239979
    Approved by:    kuriyama@FreeBSD.org (maintainer, timeout > 1 year)

 sysutils/rubygem-fluentd/Makefile                  | 19 +++---
 sysutils/rubygem-fluentd/distinfo                  |  6 +-
 .../rubygem-fluentd/files/patch-fluent.conf.sample | 75 ++++++++++++++++------
 3 files changed, 70 insertions(+), 30 deletions(-)
Comment 32 commit-hook freebsd_committer 2021-05-20 20:38:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=05f914c1b599067703bd3e7f46eb89c5de04f2ca

commit 05f914c1b599067703bd3e7f46eb89c5de04f2ca
Author:     Palle Girgensohn <girgen@FreeBSD.org>
AuthorDate: 2021-05-17 23:27:38 +0000
Commit:     Palle Girgensohn <girgen@FreeBSD.org>
CommitDate: 2021-05-20 20:32:07 +0000

    sysutils/rubygem-fluent-plugin-file-alternative: update to 0.2.2

    Update and take maintainership.

    PR:             239979
    Approved by:    kuriyama@FreeBSD.org (maintainer, timeout > 1 year)

 sysutils/rubygem-fluent-plugin-file-alternative/Makefile | 4 ++--
 sysutils/rubygem-fluent-plugin-file-alternative/distinfo | 5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 33 commit-hook freebsd_committer 2021-05-20 20:38:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4e15403f9cda6d6978a9082f7efe0d15baea6388

commit 4e15403f9cda6d6978a9082f7efe0d15baea6388
Author:     Palle Girgensohn <girgen@FreeBSD.org>
AuthorDate: 2021-05-17 23:24:00 +0000
Commit:     Palle Girgensohn <girgen@FreeBSD.org>
CommitDate: 2021-05-20 20:32:06 +0000

    sysutils/rubygem-fluent-mixin-plaintextformatter: update to 0.2.6

    Update and take maintainersbip.

    PR:             239979
    Approved by:    kuriyama@FreeBSD.org (maintainer, timeout > 1 year)

 sysutils/rubygem-fluent-mixin-plaintextformatter/Makefile | 4 ++--
 sysutils/rubygem-fluent-mixin-plaintextformatter/distinfo | 5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 34 Palle Girgensohn freebsd_committer 2021-05-20 20:40:31 UTC
I've committed all the updates. Thanks for all the work!

Built and tried everything. Please report any quirks you find.

The graylog module has been deprecated, since it is abandoned upstreams.